# Home Page

This is a very simple static HTML page designed to serve as an alternative to overtly complicated Dashboards, mostly for my personal use. It functions as both my home page and as an easy way to access my self-hosted services.

## Screenshots
![Screenshot](https://peterdominguez.art/wp-content/uploads/2023/07/home-page.png "This is a screenshot.")

## Installation

Simply clone this repository in your home directory and rename it to something like `/.homepage/` and run `start.html`. Don't forget to substitute any instance of `/home/peter/` in `start.html` for your username instead; also, set your own time zone by modifying the line that says `date = new Date().toLocaleString("es-DO", {timeZone: "America/Santo_Domingo"})` for your own location.

 If you intend to use this in a local or remote server, consider renaming it to `/homepage/` and place it somewhere where your web server of choice can read it; keep in mind that I've only tested this with apache, so I can't really say how it will work for anything else.

Make sure to give it the apropriate permissions:

* `sudo chown -R www-data:www-data /location/of/your/homepage`

* `sudo chmod -R 755 /location/of/your/homepage`

## Support
Since this is a personal project, don't expect much support; this is provided as is. That said, I'll do what I can to assist you if it's within reason.

## Contributing
Other than fixes to my shitty code, I won't change this drastically, so don't open up a MR asking me to overhaul it in ways that are out of the scope of being a simple personal dashboard.

## Authors and acknowledgment
I pieced this together mostly from code I lifted or modified from [w3schools](https://www.w3schools.com) and a few other sites I can't remember and is only intended for personal use, please don't sue me. If you find your code here and want me to credit you, please open up a merge request and I will be happy to.

Images and logos are owned by their respective copyrightholders and are in no way affiliated with this small side project.

## License
Whatever code is original, is licensed under the GNU GPLv3. Any borrowed or modified code is subject to it's original license(s) where applicable.
